Welcome!

1-abc.net Database
Maybe the easiest data base tool available!

Do you have a collection of books, CDs, DVDs, old stamps, special pencils, exotic animals, vintage pictures or classical photographs? Do you want to organize your personal data, your homework, your customer addresses or your wine cellar? Are you always disappointed that big and professional data base tools are slow and overloaded with so many features you will never need?

1-abc.net Database is your perfect tool to organize any kind of data just as fast and easy as possible! Add some columns and name them as a base for your data, of course you can always add and remove columns later. Then enter as much data as you wish, your computer hardware is the only limit for the amount of data sets.

Sort your data just by clicking a column headline, copy a data set to Windows clipboard or print out your whole list on a local printer or via network. You can edit single entries easily and you can remove existing entries faster than you believe.

Additionally, our fantastic search options allow you to filter your data just by entering a whole word or wild card expressions like '%e' for all entries in a specific column ending with letter 'e'. The 'View Filtered' screen will show you a list of all this data you search for and keeps it until you leave the program.

We decided that it makes no sense to invent a new data format for our 1-abc.net Database files because there are already too many of them available, so all your data is saved to a conventional *.csv file which can be imported and exported by nearly every calculation and data base program. You can even edit such files in Windows Notepad if you like.

With 1-abc.net Database your data can be organized much easier than you ever thought!

Feature Overview:

  • Very easy-to-use interface
  • Enter, edit or remove your data, changes are saved automatically
  • Overview window for all data you entered
  • Filtered view with result data of your search
  • Search window where you can define your search using wild cards
  • Screen to see, modify or add data
  • Easy configuration of your database settings
  • Print out all your data or the content of the filtered view screen
  • Tooltips to guide you through the program
  • Default database structures included (phone data, CD+LP collection, movie database etc.)
  • Program can also be installed on USB sticks, camera cards or nearly all other rewritable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer & Documentation: Stefan Siegert
Copyright 2005-2015 1-abc.net


Before you start working with this program ...

At the first start you have to decide if you like to use one of the default databases or if you like to create a data base by your own. If you do so, simply click on 'Add Column', enter a name for the column and click 'Save Changes'. Repeat this for at least one time because a database needs to include at least 2 columns. The last opened database will always be used for the next start automatically which makes it easier for you not to search for your most used database all the time. Of course you can always open another *.csv database from the 'File' menu.

You can also import data from other programs if they export *.csv files. These files include the column headers in the first row and values are seperated by the ';' sign. Please make sure that at least these conventiones are supported before you try to open a *.csv file exported by another program.

From time to time it could make sense to save a copy of data base files to another place. You can easily use the 'Save Database As...' feature from the File Menu.

The 1-abc.net team wishes you much fun with this product!


Using the main screen

To work with 1-abc.net Database is very easy. Here you can see how the main screen looks:

You can maximize the window by clicking the full screen symbol at right top of the screen. There are 5 different tabs - 'View all', 'View filtered', 'Search', 'Add / edit data' and 'Database Settings' - that can be accessed by clicking on it. If it makes sense, they will also change automatically. Whenever you keep your mouse pointer on an item for a while you will see additional information from a tooltip control. Some settings like the column width and the sorting order are also saved automatically when you close the program.

'View all' and 'View filtered'

Here you get an overview about the data in your data base. The difference between these both tabs is that 'View filtered' only shows you the entries that match your search while 'View all' tells you everything that is included. By clicking the column headers you can sort the data easily. On the right side between the buttons you are shown how many addresses the current data list includes.

If you want to add a new entry, you can click on 'Add Entry', then you will automatically come to the 'Add/edit data' screen where you can enter it. When you select an entry to edit from the list, the same will happen as if you double-click on it: Again you will come to the 'Add/edit data' screen, but of course it is filled with the data base entry you just selected. For deleting any entry, please select it, click on 'Remove Entry', confirm the warning message and your entry is removed easily.

At the right bottom of the screen you will find 2 more buttons. The 1st one allows you to copy a whole data base line (including values for each column) to clipboard. When you paste it in any other program, values are seperated by a line feed. Empty fields will not be copied automatically since this does not make much sense.

The last button helps you to print your data. Just select your printer and more options if necessary. When you start it directly from this screen, the valuess are printed in the order you used for sorting here. Of course only filtered entries are printed if you click this button on the 'View filtered' screen.

'Search'

Just enter the data you are looking for in the field where you are expecting to find it.

You can also use wild cards with '%'. For example: If you look for all values starting with 'J' you can just enter 'J%' in the name field. If you are looking for values with 'e' in it, you can fill in the corresponding field with '%e%'. And if you look for values ending with '9' you can use the wild card again by searching for '%9'.

When you entered anything you needed here, just select the 'View filtered' tab again.

'Add/edit data'

Here you can see and edit each single entry. Each change you do here is saved automatically to the current list.

For entering a new address, just click the 'Add Entry' button on the 'View' or 'View filtered' tab.

'Database settings'

At the left side there is a list of all columns in your database. You can click on a name, then you can change the name in the field at the right and you changes will be saved when you click 'Save Changes' after that.

You can also add or remove columns here, simply click at one of the buttons displayed at the right side of the screen.


Menu

File

New Database
A dialog will be displayed where you can select one of the default databases that were installed automatically with the program or if you prefer to create a database by your own. If you do this, just add 2 or more columns and your new data base is created!

Open Database
From here you can open each *.csv file you like with this program. Please note that the first line must include the headlines seperated by the ';' sign and the other lines must include the values, also seperated by the ';' sign.

Save Database
The current database is saved to the path from where you opened it.

Save Database As ...
Simply select a path and a filename, then your database will be saved there. The next time you start the program, this last opened file is always used automatically.

Language Selection
If you like to see the program in another language, check this feature to switch it. If your language is missing and you like to translate it, please send us an e-mail to translations@1-abc.net to get more information about it.

Exit
Select this option to leave the program.

View

View / View Filtered / Search / Add+Edit Data / Database Settings
Here you can easily switch between the tabs. This has the same effect as it is described in the main screen chapter.

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile more than Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices, Windows Store Apps and mobile apps for Firefox OS are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm